## ovs-interface

ovs-interface — Open vSwitch Interface Settings

## Properties

Table 61.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    ofport-request

    uint32

    0

Open vSwitch openflow port number. Defaults to zero which means that port number will not be specified and it will be chosen randomly by ovs. OpenFlow ports are the network interfaces for passing packets between OpenFlow processing and the rest of the network. OpenFlow switches connect logically to each other via their OpenFlow ports.

    type

    string

The interface type. Either "internal", "system", "patch", "dpdk", or empty.